#ifndef TLS_HXX
#define TLS_HXX  1


/* ========================================================================== */
/* Include files */

extern "C"
{
#include "config.h"
}


/*! \addtogroup TLS */
/* @{ */


/* @} */


/* ========================================================================== */
/* Function prototypes */

#if CFG_USE_TLS
extern "C"
{
extern int  tls_init(void);
extern void  tls_exit(void);
extern int  tls_vulnerability_check(void);
extern int  tls_crl_update_check(void);
extern void  tls_crl_update_control(int);
}
#endif  /* CFG_USE_TLS */


#endif  /* TLS_HXX */

/* EOF */
